package com.ho.common.tools.exception;

/**
 * @Description 禾望逆变器枚举
 * Author yule
 * Date 2023/1/6 11:27
 */
public enum InverterHwCode implements InverterHwCodeInterface {

    //通讯状态
    communicationStatus("通讯状态出现故障","通讯状态恢复正常"),
    //逆变器运行状态
    inverterStatusB0("待机状态恢复","待机状态"),
    inverterStatusB1("待机自检恢复","待机自检"),
    inverterStatusB2("启动并网恢复","启动并网"),
    inverterStatusB3("并网运行恢复","并网运行"),
    inverterStatusB4("告警运行恢复","告警运行"),
    inverterStatusB5("限电运行恢复","限电运行"),
    inverterStatusB6("调度运行恢复","调度运行"),
    inverterStatusB7("故障停机恢复","故障停机"),
    inverterStatusB8("指令停机恢复","指令停机"),
    inverterStatusB9("保留","保留"),
    inverterStatusB10("保留","保留"),
    inverterStatusB11("保留","保留"),
    inverterStatusB12("保留","保留"),
    inverterStatusB13("保留","保留"),
    inverterStatusB14("保留","保留"),
    inverterStatusB15("保留","保留"),

    //逆变器故障字1
    inverterFault1B0("RAM自检失败恢复","RAM自检失败"),
    inverterFault1B1("EEPROM参数回默认值恢复","EEPROM参数回默认值"),
    inverterFault1B2("EEPROM读写失败恢复","EEPROM读写失败"),
    inverterFault1B3("FPGA版本不匹配恢复","FPGA版本不匹配"),
    inverterFault1B4("保留","保留"),
    inverterFault1B5("内部通信故障恢复","内部通信故障"),
    inverterFault1B6("保留","保留"),
    inverterFault1B7("保留","保留"),
    inverterFault1B8("保留","保留"),
    inverterFault1B9("保留","保留"),
    inverterFault1B10("保留","保留"),
    inverterFault1B11("保留","保留"),
    inverterFault1B12("保留","保留"),
    inverterFault1B13("保留","保留"),
    inverterFault1B14("保留","保留"),
    inverterFault1B15("保留","保留"),


    //逆变器故障字2
    inverterFault2B0("A相硬件过流恢复","A相硬件过流"),
    inverterFault2B1("B相硬件过流恢复","B相硬件过流"),
    inverterFault2B2("C相硬件过流恢复","C相硬件过流"),
    inverterFault2B3("A相逐波限流超时恢复","A相逐波限流超时"),
    inverterFault2B4("B相逐波限流超时恢复","B相逐波限流超时"),
    inverterFault2B5("C相逐波限流超时恢复","C相逐波限流超时"),
    inverterFault2B6("母线硬件过压恢复","母线硬件过压"),
    inverterFault2B7("母线中点过压恢复","母线中点过压"),
    inverterFault2B8("保留","保留"),
    inverterFault2B9("保留","保留"),
    inverterFault2B10("保留","保留"),
    inverterFault2B11("保留","保留"),
    inverterFault2B12("保留","保留"),
    inverterFault2B13("保留","保留"),
    inverterFault2B14("保留","保留"),
    inverterFault2B15("保留","保留"),

    //逆变器故障字3
    inverterFault3B0("电网AB线电压过压恢复","电网AB线电压过压"),
    inverterFault3B1("电网BC线电压过压恢复","电网BC线电压过压"),
    inverterFault3B2("电网CA线电压过压恢复","电网CA线电压过压"),
    inverterFault3B3("电网AB线电压欠压恢复","电网AB线电压欠压"),
    inverterFault3B4("电网BC线电压欠压恢复","电网BC线电压欠压"),
    inverterFault3B5("电网CA线电压欠压恢复","电网CA线电压欠压"),
    inverterFault3B6("保留","保留"),
    inverterFault3B7("保留","保留"),
    inverterFault3B8("电网过频恢复","电网过频"),
    inverterFault3B9("电网欠频恢复","电网欠频"),
    inverterFault3B10("保留","保留"),
    inverterFault3B11("孤岛效应保护恢复","孤岛效应保护"),
    inverterFault3B12("输出对地电压异常恢复","输出对地电压异常"),
    inverterFault3B13("保留","保留"),
    inverterFault3B14("低电压穿越保护恢复","低电压穿越保护"),
    inverterFault3B15("保留","保留"),

    //逆变器故障字4
    inverterFault4B0("模块A相软件过流恢复","模块A相软件过流"),
    inverterFault4B1("模块B相软件过流恢复","模块B相软件过流"),
    inverterFault4B2("模块C相软件过流恢复","模块B相软件过流"),
    inverterFault4B3("模块电流不平衡恢复","模块电流不平衡"),
    inverterFault4B4("滤波电容欠压恢复"," 滤波电容欠压"),
    inverterFault4B5("模块温度过温恢复","模块温度过温"),
    inverterFault4B6("机内温度过温恢复","机内温度过温"),
    inverterFault4B7("直流分量超限恢复","直流分量超限"),
    inverterFault4B8("AD采样零漂过大恢复","AD采样零漂过大"),
    inverterFault4B9("残余电流持续超限恢复","残余电流持续超限"),
    inverterFault4B10("残余电流自检错误恢复","残余电流自检错误"),
    inverterFault4B11("保留","保留"),
    inverterFault4B12("保留","保留"),
    inverterFault4B13("逆变转换效率低恢复","逆变转换效率低"),
    inverterFault4B14("残余电流突变超限恢复","残余电流突变超限"),
    inverterFault4B15("保留","保留"),

    //逆变器故障字5
    inverterFault5B0("逆变同期超时恢复","逆变同期超时"),
    inverterFault5B1("母线运行短路恢复","母线运行短路"),
    inverterFault5B2("保留","保留"),
    inverterFault5B3("保留","保留"),
    inverterFault5B4("保留","保留"),
    inverterFault5B5("母线运行过压恢复","母线运行过压"),
    inverterFault5B6("母线运行欠压恢复","母线运行欠压"),
    inverterFault5B7("母线电压不平衡恢复","母线电压不平衡"),
    inverterFault5B8("保留","保留"),
    inverterFault5B9("保留","保留"),
    inverterFault5B10("保留","保留"),
    inverterFault5B11("保留","保留"),
    inverterFault5B12("保留","保留"),
    inverterFault5B13("保留","保留"),
    inverterFault5B14("保留","保留"),
    inverterFault5B15("保留","保留"),

    //逆变器故障字6
    inverterFault6B0("并网继电器开路恢复","并网继电器开路"),
    inverterFault6B1("并网继电器短路恢复","并网继电器短路"),
    inverterFault6B2("保留","保留"),
    inverterFault6B3("保留","保留"),
    inverterFault6B4("保留","保留"),
    inverterFault6B5("保留","保留"),
    inverterFault6B6("保留","保留"),
    inverterFault6B7("保留","保留"),
    inverterFault6B8("保留","保留"),
    inverterFault6B9("保留","保留"),
    inverterFault6B10("保留","保留"),
    inverterFault6B11("保留","保留"),
    inverterFault6B12("保留","保留"),
    inverterFault6B13("保留","保留"),
    inverterFault6B14("保留","保留"),
    inverterFault6B15("保留","保留"),


    //逆变器故障字7
    inverterFault7B0("辅助电源故障恢复","辅助电源故障"),
    inverterFault7B1("保留","保留"),
    inverterFault7B2("母线硬件过压恢复","母线硬件过压"),
    inverterFault7B3("硬件过流恢复","硬件过流"),
    inverterFault7B4("单元1硬件过流恢复","单元1硬件过流"),
    inverterFault7B5("单元2硬件过流恢复","单元2硬件过流"),
    inverterFault7B6("单元3硬件过流恢复","单元3硬件过流"),
    inverterFault7B7("单元4硬件过流恢复","单元4硬件过流"),
    inverterFault7B8("保留","保留"),
    inverterFault7B9("保留","保留"),
    inverterFault7B10("保留","保留"),
    inverterFault7B11("保留","保留"),
    inverterFault7B12("保留","保留"),
    inverterFault7B13("保留","保留"),
    inverterFault7B14("保留","保留"),
    inverterFault7B15("保留","保留"),

    //逆变器故障字8
    inverterFault8B0("AD零漂过大恢复","AD零漂过大"),
    inverterFault8B1("RAM自检失败恢复","RAM自检失败"),
    inverterFault8B2("EEPROM参数回默认值恢复","EEPROM参数回默认值"),
    inverterFault8B3("EEPROM读写失败恢复","EEPROM读写失败"),
    inverterFault8B4("保留","保留"),
    inverterFault8B5("保留","保留"),
    inverterFault8B6("保留","保留"),
    inverterFault8B7("母线软件过压恢复","母线软件过压"),
    inverterFault8B8("单元1软件过流恢复","单元1软件过流"),
    inverterFault8B9("单元2软件过流恢复","单元2软件过流"),
    inverterFault8B10("单元3软件过流恢复","单元3软件过流"),
    inverterFault8B11("单元4软件过流恢复","单元4软件过流"),
    inverterFault8B12("输入极性接反恢复","输入极性接反"),
    inverterFault8B13("正极对地绝缘故障恢复","正极对地绝缘故障"),
    inverterFault8B14("负极对地绝缘故障恢复","负极对地绝缘故障"),
    inverterFault8B15("升压侧电路短路恢复","升压侧电路短路"),

    //逆变器告警字3
    inverterAlarm3B0("保留","保留"),
    inverterAlarm3B1("保留","保留"),
    inverterAlarm3B2("保留","保留"),
    inverterAlarm3B3("保留","保留"),
    inverterAlarm3B4("保留","保留"),
    inverterAlarm3B5("保留","保留"),
    inverterAlarm3B6("电网异常恢复","电网异常"),
    inverterAlarm3B7("电网电压不平衡超限恢复","电网电压不平衡超限"),
    inverterAlarm3B8("保留","保留"),
    inverterAlarm3B9("保留","保留"),
    inverterAlarm3B10("电网相序反恢复","电网相序反"),
    inverterAlarm3B11("保留","保留"),
    inverterAlarm3B12("保留","保留"),
    inverterAlarm3B13("电网电压异常恢复","电网电压异常"),
    inverterAlarm3B14("保留","保留"),
    inverterAlarm3B15("保留","保留"),

    //逆变器告警字4
    inverterAlarm4B0("保留","保留"),
    inverterAlarm4B1("保留","保留"),
    inverterAlarm4B2("保留","保留"),
    inverterAlarm4B3("保留","保留"),
    inverterAlarm4B4("保留","保留"),
    inverterAlarm4B5("保留","保留"),
    inverterAlarm4B6("保留","保留"),
    inverterAlarm4B7("保留","保留"),
    inverterAlarm4B8("保留","保留"),
    inverterAlarm4B9("保留","保留"),
    inverterAlarm4B10("保留","保留"),
    inverterAlarm4B11("保留","保留"),
    inverterAlarm4B12("逆变转换效率高恢复","逆变转换效率高"),
    inverterAlarm4B13("保留","保留"),
    inverterAlarm4B14("保留","保留"),
    inverterAlarm4B15("保留","保留"),

    //逆变器告警字5
    inverterAlarm5B0("保留","保留"),
    inverterAlarm5B1("保留","保留"),
    inverterAlarm5B2("直流电压检测异常恢复","直流电压检测异常"),
    inverterAlarm5B3("保留","保留"),
    inverterAlarm5B4("保留","保留"),
    inverterAlarm5B5("保留","保留"),
    inverterAlarm5B6("保留","保留"),
    inverterAlarm5B7("保留","保留"),
    inverterAlarm5B8("DC输入电压高恢复","DC输入电压高"),
    inverterAlarm5B9("保留","保留"),
    inverterAlarm5B10("保留","保留"),
    inverterAlarm5B11("保留","保留"),
    inverterAlarm5B12("保留","保留"),
    inverterAlarm5B13("保留","保留"),
    inverterAlarm5B14("保留","保留"),
    inverterAlarm5B15("保留","保留"),

    //逆变器告警字6
    inverterAlarm6B0("保留","保留"),
    inverterAlarm6B1("保留","保留"),
    inverterAlarm6B2("保留","保留"),
    inverterAlarm6B3("保留","保留"),
    inverterAlarm6B4("交流侧SPD异常恢复","交流侧SPD异常"),
    inverterAlarm6B5("内部风扇异常恢复","内部风扇异常"),
    inverterAlarm6B6("外部风扇异常恢复","外部风扇异常"),
    inverterAlarm6B7("保留","保留"),
    inverterAlarm6B8("保留","保留"),
    inverterAlarm6B9("保留","保留"),
    inverterAlarm6B10("保留","保留"),
    inverterAlarm6B11("保留","保留"),
    inverterAlarm6B12("保留","保留"),
    inverterAlarm6B13("保留","保留"),
    inverterAlarm6B14("保留","保留"),
    inverterAlarm6B15("保留","保留"),

    //逆变器告警字7
    inverterAlarm7B0("直流侧SPD异常恢复","直流侧SPD异常"),
    inverterAlarm7B1("保留","保留"),
    inverterAlarm7B2("保留","保留"),
    inverterAlarm7B3("保留","保留"),
    inverterAlarm7B4("保留","保留"),
    inverterAlarm7B5("保留","保留"),
    inverterAlarm7B6("升压侧电路开路恢复","升压侧电路开路"),
    inverterAlarm7B7("保留","保留"),
    inverterAlarm7B8("组串异常告警恢复","组串异常告警"),
    inverterAlarm7B9("保留","保留"),
    inverterAlarm7B10("保留","保留"),
    inverterAlarm7B11("保留","保留"),
    inverterAlarm7B12("保留","保留"),
    inverterAlarm7B13("保留","保留"),
    inverterAlarm7B14("保留","保留"),
    inverterAlarm7B15("保留","保留"),
;
    /**
     * 错误码
     */
    private final String desc0;
    /**
     * 错误消息
     */
    private final String desc1;

    InverterHwCode(String desc0, String desc1) {
        this.desc0 = desc0;
        this.desc1 = desc1;
    } ;


    @Override
    public String getDesc0() {
        return this.desc0;
    }

    @Override
    public String getDesc1() {
        return this.desc1;
    }
}
